Get Residents
curl --request GET \
--url https://api.shovels.ai/v2/addresses/{geo_id}/residents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.shovels.ai/v2/addresses/{geo_id}/residents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/addresses/{geo_id}/residents")
.header("X-API-Key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shovels.ai/v2/addresses/{geo_id}/residents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.shovels.ai/v2/addresses/{geo_id}/residents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shovels.ai/v2/addresses/{geo_id}/residents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"name": "John Doe",
"personal_emails": "john.doe@example.com",
"phone": "(978) 314-5196",
"linkedin_url": "https://www.linkedin.com/in/john-doe/",
"net_worth": "$750,000 to $999,999",
"income_range": "$150,000 to $299,999",
"is_homeowner": true,
"street_no": "123",
"street": "Main St",
"city": "New York",
"state": "NY",
"zip_code": "10001"
},
{
"name": "Jane Doe",
"personal_emails": "jane.doe@example.com",
"phone": "(310) 555-7890",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/",
"net_worth": "$500,000 to $749,999",
"income_range": "$100,000 to $149,999",
"is_homeowner": false,
"street_no": "456",
"street": "Ocean Ave",
"city": "Los Angeles",
"state": "CA",
"zip_code": "90001",
"zip_code_ext": "1234"
}
],
"size": 2,
"next_cursor": "aGVsbG8ad77"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Addresses
Get Residents
Return residents for a given address geo ID. Results are paginated using cursor-based pagination.
GET
/
addresses
/
{geo_id}
/
residents
Get Residents
Authorizations
Path Parameters
Address geo ID
Query Parameters
Cursor for pagination
Required range:
1 <= x <= 100Response
Residents for a given address geo ID
Paginated response for residents.
The list of items returned in the response following given criteria.
Show child attributes
Show child attributes
The number of items returned in the response.
The cursor for retrieving the next page of results.
Total result count (capped at 10,000). Present on first-page responses when include_count=true. null if the count query timed out.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

